import { DefineComponent, ExtractPropTypes, ComputedRef, CSSProperties, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
declare const _default: DefineComponent<ExtractPropTypes<{
    height: {
        type: StringConstructor;
        default: string;
    };
}>, {
    styleHeight: ComputedRef<{
        height: any;
    } | {
        height?: undefined;
    }>;
    ns: {
        b(): string;
        is(state: boolean, name: string): string;
        m(suffix: string): string;
        sy(data: string, label: "color" | "backgroundColor" | "height" | "width"): CSSProperties;
        is_sy(is: Boolean, one: CSSProperties, two?: CSSProperties | undefined): CSSProperties;
    };
}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly< ExtractPropTypes<{
    height: {
        type: StringConstructor;
        default: string;
    };
}>> & Readonly<{}>, {
    height: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;
export default _default;
